Package com.logicaldoc.core.security

# Class Session.Log

java.lang.Object
com.logicaldoc.core.security.Session.Log

Enclosing class:
  `Session`

public class Session.Log extends Object

## Constructor Summary

Constructors
Constructor
Description
`Log(String level, String message)`

## Method Summary

Modifier and Type
Method
Description
`Date`
`getDate()`
`String`
`getLevel()`
`String`
`getMessage()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Log

public Log(String level, String message)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getLevel

public String getLevel()

### getDate

public Date getDate()

### getMessage

public String getMessage()